%undefine __libtoolize
%define unstable 0

%define qtdir /usr/lib/qt3
%add_findprov_lib_path %_libdir/kde3

Name: kdeaccessibility
Version: 3.4.1
Release: alt1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - accessibility programs
License: GPL
URL: http://www.kde.org

Requires: %name-kmag = %version-%release
Requires: %name-kmousetool = %version-%release
Requires: %name-kmouth = %version-%release
Requires: %name-icon-theme-mono = %version-%release
Requires: %name-ksayit = %version-%release
Requires: %name-ktts = %version-%release

Source: %name-%version.tar.bz2
#Source: kdeaccessibility-3.0.98.tar.bz2

Patch1: 3.2.0-flags.patch


# Automatically added by buildreq on Fri Mar 05 2004 (-bi)
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel
BuildRequires: libstdc++-devel qt3-designer xml-utils zlib-devel
BuildRequires: kdemultimedia-devel kde-common-devel
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs > 1 kdelibs-devel > 1

%description
K Desktop Environment - accessibility programs

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.2
#
%description common
Common empty package for %name

%package kmag
Summary: A screen magnifier for KDE
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmag
Kmag is a KDE screen magnifier for the visually impaired.

%package kmousetool
Summary: KDE mouse manipulation tool
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmousetool
Kmousetool  is  a KDE mouse manipulation tool aimed to help
aid disabled people but useful for  many.   It  includes  features  and
options  that  provide artificial intelligence on common mouse gestures
to perform actions.

%package kmouth
Summary: A type and say KDE front end for speech synthesizers
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmouth
Kmouth is a type and say KDE front end for speech synthesizers.

%package icon-theme-mono
Summary: Monochrome icon theme for KDE
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Provides: kde-icon-theme-mono = %version-%release
#
%description icon-theme-mono
Monochrome icon theme for KDE

%package ksayit
Summary: Text-to-Speech Frontend for KDE
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description ksayit
Text-to-Speech Frontend for KDE

%package ktts
Summary: Text-to-speech system for KDE
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description ktts
Text-to-speech system for KDE

%prep
%setup -q
#%setup -q -nkdeaccessibility-3.0.98
%patch1 -p1

#subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"

%configure \
%if %unstable
    --enable-debug=full \
%else
    --disable-debug \
%endif
    --enable-final \
    --enable-shared \
    --disable-static \
    --disable-embedded \
    --disable-palmtop \
    --disable-rpath \
    --with-gnu-ld \
    --enable-new-ldflags \
    --with-pic \
    --with-xinerama \
    --program-transform-name="" \
    --enable-ksayit-audio-plugins \
    --disable-kttsd-gstreamer \
    --enable-kttsd-command \
    --enable-kttsd-epos \
    --enable-kttsd-festivalint \
    --enable-kttsd-flite \
    --enable-kttsd-freetts

%make_build

%install
%if %unstable
%set_strip_method none
%endif
export PATH=%_bindir:$PATH

%make_build install DESTDIR=%buildroot

# Create MDK menu structure
install -d %Kb_menudir/

%Kd2m %name-kmag Applications/Accessibility %Kbapplnk/Applications/kmag.desktop %Kb_menudir/%name-kmag kde
%Kd2m %name-kmousetool Applications/Accessibility %Kbapplnk/Applications/kmousetool.desktop %Kb_menudir/%name-kmousetool kde
%Kd2m %name-kmouth Applications/Accessibility %Kbapplnk/Applications/kmouth.desktop %Kb_menudir/%name-kmouth kde
%Kd2m %name-ksayit Applications/Accessibility %Kbmenudir/ksayit.desktop %Kb_menudir/%name-ksayit kde
%Kd2m %name-ktts Applications/Accessibility %Kbmenudir/kttsmgr.desktop %Kb_menudir/%name-kttsmgr kde
%Kd2m %name-ktts "Configuration/KDE/Accessibility" %Kbmenudir/kcmkttsd.desktop %Kb_menudir/%name-kcmkttsd kde


%post kmag
%update_menus
%postun kmag
%clean_menus

%post kmousetool
%update_menus
%postun kmousetool
%clean_menus

%post kmouth
%update_menus
%postun kmouth
%clean_menus


%files
%files common

%files kmag
%_bindir/kmag
%_datadir/apps/kmag
%_iconsdir/*/*/apps/kmag.png
%doc %_docdir/HTML/en/kmag
%Kapplnk/Applications/kmag.desktop
%_menudir/%name-kmag

%files kmousetool
%_bindir/kmousetool
%_datadir/apps/kmousetool
%_iconsdir/*/*/apps/kmousetool.png
%doc %_docdir/HTML/en/kmousetool
%Kapplnk/Applications/kmousetool.desktop
%_menudir/%name-kmousetool

%files kmouth
%_bindir/kmouth
%_datadir/apps/kmouth
#/usr/share/config/kmouthrc
%doc %_docdir/HTML/en/kmouth
%_iconsdir/*/*/apps/kmouth.png
%Kapplnk/Applications/kmouth.desktop
%_menudir/%name-kmouth

%files icon-theme-mono
%_iconsdir/mono/

%files ksayit
%_includedir/ksayit_fxplugin.h
#
%_bindir/ksayit
%_datadir/apps/ksayit/fxplugins/libFreeverb_plugin.la
%_datadir/apps/ksayit/fxplugins/libFreeverb_plugin.so
%_datadir/apps/ksayit/ksayitui.rc
%_iconsdir/hicolor/*/apps/ksayit.*
%_iconsdir/hicolor/*/apps/ksayit_*.*
%Kmenudir/ksayit.desktop
%_menudir/%name-ksayit

%files ktts
%_includedir//kparts/kttsjobmgr.h
#
%_bindir/kttsd
%_bindir/kttsmgr
%_libdir/libKTTSD_Lib.so*
%_libdir/libkttsd.so*
%_libdir/kde3/kbstate_panelapplet.*
%_libdir/kde3/kcm_kttsd.*
%_libdir/kde3/ktexteditor_kttsd.*
%_libdir/kde3/libkttsd_artsplugin.*
%_libdir/kde3/libkttsd_commandplugin.*
%_libdir/kde3/libkttsd_eposplugin.*
%_libdir/kde3/libkttsd_festivalintplugin.*
%_libdir/kde3/libkttsd_fliteplugin.*
%_libdir/kde3/libkttsd_freettsplugin.*
%_libdir/kde3/libkttsd_hadifixplugin.*
%_libdir/kde3/libkttsd_sbdplugin.*
%_libdir/kde3/libkttsd_stringreplacerplugin.*
%_libdir/kde3/libkttsd_talkerchooserplugin.*
%_libdir/kde3/libkttsd_xmltransformerplugin.*
%_libdir/kde3/libkttsjobmgrpart.*
%_datadir/apps/kicker/applets/kbstateapplet.desktop
%_datadir/apps/kbstateapplet/
%_datadir/apps/ktexteditor_kttsd
%_datadir/apps/kttsd/
%_datadir/apps/kttsjobmgr/
%_datadir/services/ktexteditor_kttsd.desktop
%_datadir/services/kttsd.desktop
%_datadir/services/kttsd_artsplugin.desktop
%_datadir/services/kttsd_commandplugin.desktop
%_datadir/services/kttsd_eposplugin.desktop
%_datadir/services/kttsd_festivalintplugin.desktop
%_datadir/services/kttsd_fliteplugin.desktop
%_datadir/services/kttsd_freettsplugin.desktop
%_datadir/services/kttsd_hadifixplugin.desktop
%_datadir/services/kttsd_sbdplugin.desktop
%_datadir/services/kttsd_stringreplacerplugin.desktop
%_datadir/services/kttsd_talkerchooserplugin.desktop
%_datadir/services/kttsd_xmltransformerplugin.desktop
%_datadir/services/kttsjobmgr.desktop
%_datadir/servicetypes/kttsd_audioplugin.desktop
%_datadir/servicetypes/kttsd_filterplugin.desktop
%_datadir/servicetypes/kttsd_synthplugin.desktop
%_iconsdir/crystalsvg/*/apps/kttsd.*
%_iconsdir/hicolor/*/actions/female.*
%_iconsdir/hicolor/*/actions/male.*
%_docdir/HTML/en/kttsd
%Kmenudir/kcmkttsd.desktop
%Kmenudir/kttsmgr.desktop
%_menudir/%name-kttsmgr
%_menudir/%name-kcmkttsd

%changelog
* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt1
- new version

* Fri Apr 01 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt1
- new version

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt1
- rebuild

* Wed Jan 05 2005 ZerG <zerg@altlinux.ru> 3.3.2-alt0.0.M24
- new version

* Thu Oct 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt1
- new version

* Sat Oct 02 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.0-alt1
- new version

* Mon Jun 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- new version

* Tue Apr 13 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt1
- new version

* Tue Mar 16 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt1
- update code from KDE_3_2_BRANCH 

* Fri Mar 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.0-alt1
- initial spec
